input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    display: block;
    position: relative;
    background: transparent;
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    #{$input-selector} {
        margin: 0;
        width: 100%;
     //   height: size-rel(54px);
        outline: none;
        color: #5b3d38;
        box-shadow: none;
        font-weight: 400;
        border-radius: 6px;
        font-size: size-rel(18px);
        line-height: size-rel(24px);
        padding: size-rel(14px) size-rel(16px);
        background: #fff;
        display: inline-block;
        vertical-align: middle;
        border: 1px solid #D2D2D2;
        @include placeholder(#909090);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            color: $secondary;
            border-color: $green;
            @include placeholder(transparent);
        }
    }

    &--error {

        #{$input-selector} {
            border-color: $red !important;
        }

        &:before {
            left: 0;
            top: 100%;
            width: calc(100% + 2px);
            color: $red;
            overflow: hidden;
            position: absolute;
            font-size: size-rel(12px);
            line-height: size-rel(16px);
            content: attr(data-error);
        }
    }

    @include media-breakpoint-up(lg) {

        #{$input-selector} {
            border-radius: 10px;
        //    height: size-rel(60px);
            padding: size-rel(17px) size-rel(22px);
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: size-rel(36px);

        #{$input-selector} {
        //    height: size-rel(76px);
            padding: size-rel(24px) size-rel(22px);
        }
    }
}

textarea {
    resize: none;
    min-height: size-rel(156px);
}

.checkbox {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;
    display: inline-block;

    &__input {
        top: 0;
        left: 0;
        opacity: 0;
        width: 1px;
        height: 1px;
        visibility: hidden;
        position: absolute;
    }

    &__label {
        color: #3a3a3a;
        font-size: size-rel(14px);
        line-height: size-rel(20px);
        position: relative;
        padding-left: size-rel(30px);
        display: inline-block;

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: size-rel(20px);
            height: size-rel(20px);
            display: block;
            position: absolute;
            border-radius: 2px;
            border: 1px solid #565656
        }

        &:after {
            top: 0;
            left: 0;
            z-index: 2;
            content: '';
            width: size-rel(20px);
            height: size-rel(20px);
            display: block;
            opacity: 0;
            visibility: hidden;
            position: absolute;
            background: #000;
        }
    }


    &__input:checked + .checkbox__label {

        &::before {
            border-color: #000;
        }

        &::after {
            opacity: 1;
            visibility: visible;
        }
    }

    &__input:disabled + .checkbox__label {
        opacity: 0.4;
    }

}

.form-label {
    display: block;
    font-weight: 400;
    font-size: size-rel(12px);
    line-height: size-rel(16px);
    margin-bottom: size-rel(10px);
}

.form-group {
    margin-bottom: size-rel(24px);

    @include media-breakpoint-up(lg) {
        margin-bottom: size-rel(36px);
    }
}

.form-text {
    margin-top: size-rel(-10px);
    font-size: size-rel(12px);
    line-height: size-rel(16px);

     p {
         margin-bottom: size-rel(5px);
     }

    @include media-breakpoint-up(lg) {
        margin-top: size-rel(-23px);
    }
}

